Get market APY averages
Average supply and borrow APYs for a Morpho Blue market over fixed historical windows on the v0 REST API. Values exclude rewards.
Path Parameters
market-selector*string
Selector formatted as <chain_id>:<market_id>. Example: 1:0xfff1970c0ffae288764186fbb38a9171a17e98676744a1e345809cb8b9e73342.
Format
<chain_id>:<market_id>Response Body
application/json
curl -X GET "https://example.com/v0/blue/markets/1:0xfff1970c0ffae288764186fbb38a9171a17e98676744a1e345809cb8b9e73342/apy-averages"{ "data": { "borrow_apy_averages": { "1y": 0.0324, "24h": 0.0421, "30d": 0.0405, "6h": 0.0425, "7d": 0.0413, "90d": 0.0398 }, "chain_id": 1, "last_indexed_block": "19847234", "market_id": "0xb1adceddb2941033a02dd819a3b9636a8c6f1cd1c2cd1add34e3c7b1f6c0fe25", "supply_apy_averages": { "1y": 0.0324, "24h": 0.0421, "30d": 0.0405, "6h": 0.0425, "7d": 0.0413, "90d": 0.0398 } }}GETGet market
Morpho Blue market configuration: loan and collateral tokens, oracle, IRM, and liquidation LTV. Values are immutable for the lifetime of the market.
GETGet market APY history
Historical supply and borrow APYs for a Morpho Blue market. Reference for GET /v0/blue/markets/{market-selector}/apy/history in the Morpho Core API.